> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Reference Item Component



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/components/{componentId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/components/{componentId}:
    patch:
      tags:
        - Collections
      summary: Update Reference Item Component
      operationId: CollectionsController_updateReferenceItemComponent_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: entryId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: referenceItemId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: componentId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCollectionComponentDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CollectionReferenceItemComponentMutationResponseDto
      security:
        - bearer: []
components:
  schemas:
    UpdateCollectionComponentDto:
      type: object
      properties:
        quantity:
          type: string
          pattern: ^(?!0+(?:\.0{1,2})?$)\d{1,16}(?:\.\d{1,2})?$
        componentVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        referenceItemVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        entryVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - quantity
        - componentVersion
        - referenceItemVersion
        - entryVersion
        - collectionVersion
      additionalProperties: false
    CollectionReferenceItemComponentMutationResponseDto:
      type: object
      properties:
        item:
          $ref: '#/components/schemas/CollectionReferenceItemComponentDto'
        referenceItemVersion:
          type: number
        entryVersion:
          type: number
        collectionVersion:
          type: number
      required:
        - item
        - referenceItemVersion
        - entryVersion
        - collectionVersion
    CollectionReferenceItemComponentDto:
      type: object
      properties:
        id:
          type: string
        referenceItemId:
          type: string
        catalogItemId:
          type: string
        catalogItemType:
          type: object
        kind:
          enum:
            - material
            - part
          type: string
        catalogFamilySourceId:
          type: string
          nullable: true
        brandStandardId:
          type: string
          nullable: true
        name:
          type: string
        imageUrl:
          type: string
          nullable: true
        referenceLabel:
          type: string
          nullable: true
        manufacturerName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        quantity:
          type: string
        source:
          type: string
          enum:
            - direct
            - inherited
        position:
          type: number
          nullable: true
        version:
          type: number
          nullable: true
      required:
        - id
        - referenceItemId
        - catalogItemId
        - catalogItemType
        - kind
        - catalogFamilySourceId
        - brandStandardId
        - name
        - imageUrl
        - referenceLabel
        - manufacturerName
        - sourceLabel
        - quantity
        - source
        - position
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````